> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/query/queries/tracking/wellness-score.md).

# Wellness Score

The `wellnessScoreLastSevenDays` query returns the daily wellness scores for the previous seven days and the 7-day wellness score for a given date.

The wellness score is a numeric representation of Suggestic's streak logic system. It conveys the proportion of completed daily checkmarks on a scale of 1 to 10 as a 7-day moving average.

### Required Arguments

<table data-header-hidden><thead><tr><th></th><th width="219"></th><th></th></tr></thead><tbody><tr><td>Argument</td><td>Type</td><td>Description</td></tr><tr><td><code>date</code></td><td>DateTime!</td><td>Date to analyze</td></tr><tr><td><code>source</code></td><td>SourceType</td><td>Optional. Default is SUGGESTIC</td></tr></tbody></table>

### Available Fields

<table><thead><tr><th></th><th></th><th></th></tr></thead><tbody><tr><td>Field Name</td><td>Type</td><td>Description</td></tr><tr><td><pre><code>dailyStreakScore
</code></pre></td><td>[dailyStreakScore]</td><td>Daily wellness score</td></tr><tr><td><pre><code>wellnessScore
</code></pre></td><td>Float</td><td> 7-day wellness score</td></tr></tbody></table>

### Example

{% tabs %}
{% tab title="Request" %}

```graphql
query($date: Date!, $source: SourceType) {
            wellnessScoreLastSevenDays(date: $date, source: $source) {
                dailyStreakScore 
                {
                    date 
                    score 
                } 
                wellnessScore
            }
        }
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
   "data":{
      "wellnessScoreLastSevenDays":{
         "dailyStreakScore":[
            {
               "date":"2023-10-03",
               "score":3.3
            },
            {
               "date":"2023-10-02",
               "score":0.0
            },
            {
               "date":"2023-10-01",
               "score":0.0
            },
            {
               "date":"2023-09-30",
               "score":3.3
            },
            {
               "date":"2023-09-29",
               "score":6.7
            },
            {
               "date":"2023-09-28",
               "score":3.3
            },
            {
               "date":"2023-09-27",
               "score":10.0
            }
         ],
         "wellnessScore":5.3
      }
   }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/query/queries/tracking/wellness-score.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
